=== reader/CMakeLists.txt ===
add_subdirectory( data )
add_subdirectory( desktop )
add_subdirectory( src )
