## tde-ebook-reader 14.1.3

=== debian/changelog ===
tde-ebook-reader (4:14.1.3-0raspbian10.0.0+0) raspbian-buster; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tde-ebook-reader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 13 Oct 2024 14:54:28 +0200

tde-ebook-reader (0.99.6-debian) testing; urgency=low

  * Ported to TQt3 and package renaming

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Sat, 11 May 2024 23:04:00 +0900

fbreader (0.99.4+dfsg-6) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.2.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Replaced obsolete pkg-config build dependency with pkgconf.
  * Corrected shared library SO version in lintian overrides.
  * Added 1014-desktop-mime-type.patch to announce MIME type support in
    XDG desktop (Closes: #601609, #601605, #813768).
  * Bump debhelper from deprecated 9 to 12 and use debhelper-compat version
    in Build-Depends.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 10 May 2024 13:19:06 +0200

fbreader (0.99.4+dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 29 Feb 2024 02:32:43 +0000

fbreader (0.99.4+dfsg-5) unstable; urgency=medium

  * QA upload.
  * Prevent installing .so link in non-dev library pkgs.
  * Fix Breaks/Replaces.
  * Drop old NEWS.
  * Drop non-functional debian/watch.

 -- Bastian Germann <bage@debian.org>  Thu, 07 Sep 2023 15:41:50 +0000

fbreader (0.99.4+dfsg-4) unstable; urgency=medium

  * QA upload.
  * Install liblzui in fbreader.

 -- Bastian Germann <bage@debian.org>  Tue, 05 Sep 2023 10:24:23 +0000

fbreader (0.99.4+dfsg-3) unstable; urgency=medium

  * QA upload.
  * Prevent the same files in two different packages.
  * Drop libzlui-qt and itegrate its contents into fbreader.

 -- Bastian Germann <bage@debian.org>  Tue, 05 Sep 2023 00:39:53 +0200

fbreader (0.99.4+dfsg-2) experimental; urgency=medium

  * QA upload.
  * fbreader: Fix Depends on libzlui-qt instead of dropped -qt4.

 -- Bastian Germann <bage@debian.org>  Mon, 04 Sep 2023 20:05:08 +0200

fbreader (0.99.4+dfsg-1) experimental; urgency=medium

  * QA upload.
  * Drop unneeded quilt Build-Dependency.
  * Update to new upstream version. (Closes: #765039)
  * Build with Qt5 patch. (Closes: #967336)

 -- Bastian Germann <bage@debian.org>  Sat, 02 Sep 2023 11:40:44 +0000

fbreader (0.12.10dfsg2-6) unstable; urgency=low

  * QA upload.
  * Fix FTBFS with GCC-11 (Closes: #984121)
    - Add debian/patches/0014-fix-ftbfs-gcc11.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 12 Jan 2022 23:06:22 +0800

fbreader (0.12.10dfsg2-5) unstable; urgency=medium

  * QA upload.
  * Orphan package.
  * debian/source/format: Convert to "3.0 (quilt)" source package.
  * debian/control: Replace transitional package ttf-unifont with
    fonts-unifont.

 -- Boyuan Yang <byang@debian.org>  Thu, 26 Aug 2021 23:14:08 -0400

fbreader (0.12.10dfsg2-4) unstable; urgency=medium

  * debian/control:
    - Drop Qt4 UI (libzlui-qt4), as Qt4 is going away. (Closes: #874867)
  * debian/patches:
    - New patch 0013-fbreader-Makefile-make-linking-order-reproducible, by
      Chris Lamb. (Closes: 861770)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 01 Sep 2019 10:59:46 +0200

fbreader (0.12.10dfsg2-3) unstable; urgency=medium

  * debian/patches:
    - New patch 0011-zlibrary-unix-curl-avoid-duplicate-case-in-a-switch.
      Fixes building with curl 7.62.0. Thanks to Adrian Bunk for the report
      and the libcurl API change hint. (Closes: #913382)
    - New patch 0012-makefiles-use-externally-passed-PKG_CONFIG-if-availa by
      Helmut Grohne.
  * debian/rules:
    - Enable cross-architecture building. Patch by Helmut Grohne.
      (Closes: #861422)
  * debian/control:
    - Updated Standards-Version to 4.2.1, no changes needed.
    - Added Recommends on sensible-utils (as suggested by lintian).
  * debian/source/format:
    - Created (with '1.0' inside).
  * debian/libzlcore-data.lintian-overrides:
    - Removed a false positive override introduced in 0.12.10dfsg2-1,
      apparently fixed in lintian since.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 09 Dec 2018 18:21:31 +0100

fbreader (0.12.10dfsg2-2) unstable; urgency=medium

  * debian/patches:
    - New patch booksdb-avoid-converting-boolean-to-shared_ptr.patch. Fixes
      building with GCC6. Patch by Robert Bihlmeyer. (Closes: #811676)
  * debian/copyright:
    - Updated my e-mail address.
    - Removed obsolete statements for DocBook/XHTML entity files removed in
      the previous upload. (Closes: #824393)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 24 Jul 2016 13:40:32 +0200

fbreader (0.12.10dfsg2-1) unstable; urgency=medium

  * debian/dfsg-repack:
    - Also remove docbook- and XHTML entity files. (Closes: #807074)
  * debian/patches:
    - New patch fbreader-Makefile-do-not-try-to-install-empty-format.patch, so
      upstream Makefile doesn't install unexisting XHTML entity files.
  * debian/control:
    - Updated Standards-Version to 3.9.6, no changes needed.
    - Bumped debhelper build-dependency to >= 9.
  * debian/rules:
    - Modernized using dh overrides.
  * debian/menu:
    - Removed as suggested by lintian, since a .desktop-file is present.
  * debian/libzlcore-data.lintian-overrides:
    - Added to override a false positive about reproducibility of
      usr/share/zlibrary/unicode.xml.gz.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 21 Feb 2016 10:46:49 +0100

fbreader (0.12.10dfsg-10) unstable; urgency=low

  * NMU acknowledged - thanks, Ondřej!
  * debian/control:
    - Bump ABI parts of libzlcore and libzltext package names for GCC5 C++11
      ABI transition. For historical reasons these package name parts were

