## tde-ebook-reader 14.1.6~pre0

=== debian/changelog ===
tde-ebook-reader (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 4b57a188fbd4ac2439f2a141475222c8d68d67ea
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-ebook-reader

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
