## tde-ebook-reader 14.1.6~pre1

=== debian/changelog ===
tde-ebook-reader (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for befdb8d538d660fcdcbedddbdbfa93fccde20b62
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-ebook-reader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:55:01 +0100
