## tde-ebook-reader 14.2.0~pre28

=== debian/changelog ===
tde-ebook-reader (4:14.2.0~pre28-0debian14.0.0+7~a) forky; urgency=low

  * Automated git build for 88d74dedf45e6f7f2d20b60930fbc1353d60d94c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-ebook-reader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
