## tde-ebook-reader 14.2.0~pre29

=== debian/changelog ===
tde-ebook-reader (4:14.2.0~pre29-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 1ee363806896d58a6c31425315bad3196298bcff
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-ebook-reader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:02:38 +0100
